<?php
/**
 * Contact Button Section options
 *
 * @package Theme Palace
 * @subpackage Boost Biz Pro
 * @since Boost Biz Pro 1.0.0
 */

// Add Contact Button section
$wp_customize->add_section( 'boost_biz_pro_contact_button_section', array(
	'title'             => esc_html__( 'Contact Button','boost-biz-pro' ),
	'description'       => esc_html__( 'Contact Button options.', 'boost-biz-pro' ),
	'panel'             => 'boost_biz_pro_front_page_panel',
) );

// top bar menu visible
$wp_customize->add_setting( 'boost_biz_pro_theme_options[contact_button_login_register_enable]',
	array(
		'default'       	=> $options['contact_button_login_register_enable'],
		'sanitize_callback' => 'boost_biz_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Boost_Biz_Pro_Switch_Control( $wp_customize, 'boost_biz_pro_theme_options[contact_button_login_register_enable]',
    array(
		'label'      		=> esc_html__( 'Display Login / Register', 'boost-biz-pro' ),
		'section'    		=> 'boost_biz_pro_contact_button_section',
		'on_off_label' 		=> boost_biz_pro_switch_options(),
    )
) );

// topbar login setting and control
$wp_customize->add_setting( 'boost_biz_pro_theme_options[contact_button_login_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['contact_button_login_label'],
) );

$wp_customize->add_control( 'boost_biz_pro_theme_options[contact_button_login_label]', array(
	'label'           	=> esc_html__( 'Login Label', 'boost-biz-pro' ),
	'section'        	=> 'boost_biz_pro_contact_button_section',
	'type'				=> 'text',
	'active_callback'	=> 'boost_biz_pro_is_login_register_meta_section_enable',
) );

// topbar login url setting and control
$wp_customize->add_setting( 'boost_biz_pro_theme_options[contact_button_login_url]', array(
	'sanitize_callback' => 'esc_url_raw',
	'transport'			=> 'refresh',
) );

$wp_customize->add_control( 'boost_biz_pro_theme_options[contact_button_login_url]', array(
	'label'           	=> esc_html__( 'Login Url', 'boost-biz-pro' ),
	'section'        	=> 'boost_biz_pro_contact_button_section',
	'type'				=> 'url',
	'active_callback'	=> 'boost_biz_pro_is_login_register_meta_section_enable',
) );
