<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Boost Biz Pro
 * @since Boost Biz Pro 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'boost_biz_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'boost-biz-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'boost_biz_pro_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'boost_biz_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'boost_biz_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'boost_biz_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'boost-biz-pro' ),
		'section'    			=> 'boost_biz_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// powered by text
$wp_customize->add_setting( 'boost_biz_pro_theme_options[poweredby_text]',
	array(
		'default'       		=> $options['poweredby_text'],
		'sanitize_callback'		=> 'boost_biz_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'boost_biz_pro_theme_options[poweredby_text]',
    array(
		'label'      			=> esc_html__( 'Powered By Text', 'boost-biz-pro' ),
		'section'    			=> 'boost_biz_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// footer logo setting and control.
$wp_customize->add_setting( 'boost_biz_pro_theme_options[footer_logo]', array(
	'sanitize_callback' => 'boost_biz_pro_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'boost_biz_pro_theme_options[footer_logo]',
		array(
		'label'       		=> sprintf( esc_html__( 'Footer Logo ', 'boost-biz-pro' )),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'boost-biz-pro' ), 200, 200 ),
		'section'     		=> 'boost_biz_pro_section_footer',
) ) );

// Footer Menu Enable/disable
$wp_customize->add_setting( 'boost_biz_pro_theme_options[footer_menu]',
	array(
		'sanitize_callback' => 'boost_biz_pro_sanitize_switch_control',
		'default'       		=> $options['footer_menu'],
	)
);
$wp_customize->add_control( new Boost_Biz_Pro_Switch_Control( $wp_customize, 'boost_biz_pro_theme_options[footer_menu]',
    array(
		'label'      		=> esc_html__( 'Display footer Menu', 'boost-biz-pro' ),
		'description'       => sprintf( '%1$s <a class="footer-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show footer menu.', 'boost-biz-pro' ), esc_html__( 'Click Here', 'boost-biz-pro' ), esc_html__( 'to create menu', 'boost-biz-pro' ) ),
		'section'    		=> 'boost_biz_pro_section_footer',
		'on_off_label' 		=> boost_biz_pro_switch_options(),
    )
) );

// footer social menu
$wp_customize->add_setting( 'boost_biz_pro_theme_options[footer_social_menu]',
	array(
		'sanitize_callback' => 'boost_biz_pro_sanitize_switch_control',
		'default'       		=> $options['footer_social_menu'],
	)
);
$wp_customize->add_control( new Boost_Biz_Pro_Switch_Control( $wp_customize, 'boost_biz_pro_theme_options[footer_social_menu]',
    array(
		'label'      		=> esc_html__( 'Footer Social Menu ', 'boost-biz-pro' ),
		'description'       => sprintf( '%1$s <a class="social-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'boost-biz-pro' ), esc_html__( 'Click Here', 'boost-biz-pro' ), esc_html__( 'to create menu', 'boost-biz-pro' ) ),
		'section'    		=> 'boost_biz_pro_section_footer',
		'on_off_label' 		=> boost_biz_pro_switch_options(),
    )
) );

// scroll top visible
$wp_customize->add_setting( 'boost_biz_pro_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'boost_biz_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Boost_Biz_Pro_Switch_Control( $wp_customize, 'boost_biz_pro_theme_options[scroll_top_visible]',
    array(
		'label'      		=> esc_html__( 'Display Scroll Top Button', 'boost-biz-pro' ),
		'section'    		=> 'boost_biz_pro_section_footer',
		'on_off_label' 		=> boost_biz_pro_switch_options(),
    )
) );