<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Boost Biz Pro
 * @since Boost Biz Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'boost_biz_pro_menu', array(
	'title'             => esc_html__('Header Menu','boost-biz-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'boost-biz-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'boost_biz_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'boost_biz_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Boost_Biz_Pro_Switch_Control( $wp_customize, 'boost_biz_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'boost-biz-pro' ),
	'section'           => 'boost_biz_pro_menu',
	'on_off_label' 		=> boost_biz_pro_switch_options(),
) ) );
