<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Boost Biz Pro
 * @since Boost Biz Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'boost_biz_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','boost-biz-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'boost-biz-pro' ),
	'panel'               => 'boost_biz_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'boost_biz_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'boost_biz_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Boost_Biz_Pro_Customize_Sortable_Control ( $wp_customize, 'boost_biz_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'boost-biz-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'boost-biz-pro' ),
	'section'             => 'boost_biz_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => boost_biz_pro_sortable_sections(),
) ) );