<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Boost Biz Pro
* @since Boost Biz Pro 1.0.0
*/

if ( ! function_exists( 'boost_biz_pro_validate_long_excerpt' ) ) :
  function boost_biz_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'boost-biz-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_slider_count' ) ) :
  function boost_biz_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_team_count' ) ) :
  function boost_biz_pro_validate_team_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_counter_count' ) ) :
  function boost_biz_pro_validate_counter_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 4 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_counter_count' ) ) :
  function boost_biz_pro_validate_counter_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 4 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_service_count' ) ) :
  function boost_biz_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'boost-biz-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_interest_count' ) ) :
  function boost_biz_pro_validate_interest_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_client_logo_count' ) ) :
  function boost_biz_pro_validate_client_logo_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_portfolio_count' ) ) :
  function boost_biz_pro_validate_portfolio_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'boost-biz-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_blog_count' ) ) :
  function boost_biz_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'boost-biz-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'boost_biz_pro_validate_testimonial_count' ) ) :
  function boost_biz_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'boost-biz-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'boost-biz-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'boost-biz-pro' ) );
     }
     return $validity;
  }
endif;
