<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that includes all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage Boost Biz Pro
//  * @since Boost Biz Pro 1.0.0
//  */


function boost_biz_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'boost-biz-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'boost_biz_pro_ctdi_plugin_page_setup' );


function boost_biz_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro Demo', 'boost-biz-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro/boost-biz-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro/boost-biz-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro/boost-biz-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'boost-biz-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/boost-biz-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Blog Demo', 'boost-biz-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Blog/boost-biz-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Blog/boost-biz-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Blog/boost-biz-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Blog/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'boost-biz-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/boost-biz-pro-blog',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Medical Demo', 'boost-biz-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Medical/boost-biz-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Medical/boost-biz-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Medical/boost-biz-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Medical/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'boost-biz-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/boost-biz-pro-classic',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Education Demo', 'boost-biz-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Education/boost-biz-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Education/boost-biz-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Education/boost-biz-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Education/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'boost-biz-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/boost-biz-pro-corporate',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro Dark Demo', 'boost-biz-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Dark/boost-biz-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Dark/boost-biz-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Dark/boost-biz-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Dark/image.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'boost-biz-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/boost-biz-pro-dark',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'boost_biz_pro_ctdi_import_files' );



function boost_biz_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'boost_biz_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );